IOPERM(2)

NAME
ioperm - set port input/output permissions

SYNOPSIS
#include <unistd.h>

int ioperm(unsigned long from, unsigned long num, int turn_on);

DESCRIPTION
Ioperm sets the port access permission bits for the process for num bytes starting from port address from to the value turn_on. The use of ioperm require root privileges. Only the first 0x3ff I/O ports can be specified in this manner. For more ports, the iopl function must be used.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

CONFORMING TO
ioperm is Linux specific.

SEE ALSO
iopl(2)